Bug 246363 - (nautilus:29798): WARNING **: Can not caclulate _NET_NUMBER_OF_DESKTOPS
(nautilus:29798): WARNING **: Can not caclulate _NET_NUMBER_OF_DESKTOPS
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
9
i686 Linux
low Severity high
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-30 22:09 EDT by Nivag
Modified: 2015-03-03 17:31 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 14:23:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nivag 2007-06-30 22:09:45 EDT
Description of problem:
All windows appear in the top left hand part of the screen overlapping the top
panel.

It is no longer possible to change vitual desktopns by <Ctrl><Alt><right arrow>,
no by using the desktop  sitcher icon, as it does not show any virtual desktops.
 Even though matthew has 4 virtual desktops!

I have included the .xsession-errors from Matthew's session.

Note this is a hard error, even rebooting the system does not clear it.

The only way I know of fixing itt is to delete some of the '.' files:

////////////////////////////////////
rm -rf .config/ .dmrc .esd_auth .evolution/ .gconf/ .gconfd/ .ggz/ .gnome/
.gnome2/ .gnome2_private/ .metacity/ .nautilus/ .qt
///////////////////////////////////

At least one of these files needs deleting, not sure of the minimum set.

Unfortunately it means I have to reset all the defaults!





Version-Release number of selected component (if applicable):
Unknown

How reproducible:
random

It has happened 3 times, the latest one yesterday.

Note the system is fully uptodate with respect to updates, as of the time it
happened.


Steps to Reproduce:
Unknown
  
Actual results:


Expected results:
Normal operation

Additional info:
The following is actually from matthew's '.xsession-errors'
///////////////////////////////////////////////////////////
[gavin@neptune updates]$ cat .xsession-errors 
localuser:matthew being added to access control list
SESSION_MANAGER=local/neptune.localdomain:/tmp/.ICE-unix/29679
Initializing nautilus-flac-converter extension
Initializing nautilus-open-terminal extension
Initializing nautilus-search-tool extension

** (nautilus:29798): WARNING **: Can not caclulate _NET_NUMBER_OF_DESKTOPS

** (nautilus:29798): WARNING **: Can not calculate _NET_NUMBER_OF_DESKTOPS

** (nautilus:29798): WARNING **: Can not get _NET_WORKAREA

** (nautilus:29798): WARNING **: Can not determine workarea, guessing at layout
** Message: Could not connect to power manager: Could not get owner of name
'org.gnome.PowerManager': no such name
kbuildsycoca running...
Traceback (most recent call last):
  File "/usr/bin/puplet", line 371, in <module>
    main()
  File "/usr/bin/puplet", line 368, in main
    p.run()
  File "/usr/bin/puplet", line 355, in run
    self._getOnDbus()
  File "/usr/bin/puplet", line 229, in _getOnDbus
    "/Updatesd")
  File "/usr/lib/python2.5/site-packages/dbus/bus.py", line 226, in get_object
    follow_name_owner_changes=follow_name_owner_changes)
  File "/usr/lib/python2.5/site-packages/dbus/proxies.py", line 236, in __init__
    self._named_service = conn.activate_name_owner(bus_name)
  File "/usr/lib/python2.5/site-packages/dbus/bus.py", line 165, in
activate_name_owner
    self.start_service_by_name(bus_name)
  File "/usr/lib/python2.5/site-packages/dbus/bus.py", line 261, in
start_service_by_name
    'su', (bus_name, flags)))
  File "/usr/lib/python2.5/site-packages/dbus/connection.py", line 598, in
call_blocking
    message, timeout)
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.ServiceUnknown: The
name edu.duke.linux.yum was not provided by any .service files
Comment 1 Nivag 2007-07-01 01:54:43 EDT
I was able to narrow down the files I needed to delete, the following sufficed:

rm -rf .gconf/ .gconfd/
rm -rf .gnome/ .gnome2/

I did this from root on matthew's home directory.
I logged in to matthew's desktop after each 'rm' to check.

Not sure if the first 'rm' really helped, but the second one was definitely needed!
Comment 2 Nivag 2007-07-15 06:12:22 EDT
I found I only needed to delete 1 file to restore things (while not logged in as
matthew):

.gnome2/session

As a work around, I have disabled session saving - I am assuming this will avoid
the corruption!.
Comment 3 Bug Zapper 2008-05-14 09:22:09 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2008-06-16 21:45:41 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 5 Nivag 2008-06-16 23:40:32 EDT
It happened yesterday on a Fedora 8 installation!

Solution, after Googling, was to run 'metacity' in a terminal & then click on
'Remember currently running applications' in:
System ==> Preferences ==> Personal ==> Sessions

Possibly: if a window manager crashes; it should be either automatically
respawned, or a dialogue come up asking permission to do so (to prevent endless
loops if the problem causing the crash is persistent).
Comment 6 Nivag 2008-06-16 23:47:54 EDT
eeeks... I'm obviously not awake!!

The problem recurred on my son's machine which is running Fedora 9 (I'm still
running Fedora 8 on my own machine).

Comment 7 Bug Zapper 2009-06-09 18:41:08 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-07-14 14:23:03 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 9 Nivag 2009-07-14 17:36:26 EDT
We are now using Fedora 10 & 11 - no sign of this problem on these versions of Fedora.

Note You need to log in before you can comment on or make changes to this bug.